Subject: Re: CCL:What makes Gaussian fast ?

From: [email-masked] (Akinori MURAKAMI)
Date: Fri, 06 Jan 95 13:19:09 +0900

Dear Teerakiat Kerdcharoen 

>> Dear cyber-chemists,	???

>>         I have experienced using both GAMESS and Gaussian 92 on
>> AIX platform. Gaussian 92 always runs faster than GAMESS in
>> most case. I have found on a review article where written Gaussian
>> spend the computation at the cost of N**2.7 not N**4 as 
>> conventional Hartree-Fock scheme (N = no. of Gaussian primitives).

That is not true for conventional method.
There are only small amount of nonzero integrals(greater than
10**(-10)) and number of those scale as N**(2-3). 
N**4 is formal scaling not real time computation.

cf. R. Ahlichs, Theor. Chim. Acta. vol 33, p157, (1974)

>>         Which special algorithms are tailored into Gaussian ?

Most integral are evaluated by HP(axis rotation method) in both
Gaussian and HONDO(GAMESS).
Some integrals are evaluated by HGP and PRISM in Gaussian is faster
than Rys method in HONDO(GAMESS0. I think that is not main difference.

Gaussian seems clever selection for integral evaluation.
I don't know the paper. You can imagine from the original paper on
direct SCF, J. Almolef, K. Faegri, K. Korsell, J. Comput. Chem. vol 3.
p385 (1982).

>>  PS. The energy obtained from GAMESS is always lower than from
>>      Gaussian. Therefore, I believe that the speed is gained
>>      at the sacrifice of some precision.

I think your mention about one point calculation. 
Gaussian use loose conversion threshold, 10**(-4).

We get same energy on Gaussian and GAMESS(HONDO).

Best regards.

Akinori Murakami
Mitsubishi Chemical Corporation